/**
 * Estilos de errores del lado servidor
 */
.beli-alert{
	font-size: 15px;
    color: #ef1104;
    max-width: 100%;
    font-weight: bold;
}
/**
 * Estilos del icono del input "icon" : error,required,succes,no-required
 */
.beliIconError{
	background-color: #da0c0c;
	color: white;
}
.beliIconRequired{
	background-color: #FF7F50;
	color: white;
}
.beliIconSuccess{
	background-color: #18a718;
	color: white;
}
.beliIconNoRequired{
	background-color: #158cba;
	color: white; 
}
/**
 * Estilos del icono de accion en el input : error,required,success,no-required
 */
.beliInputIconError{
	height: 100%;
	color: #da0c0c;
}
.beliInputIconRequired{
	height: 100%;
	color: #FF7F50;
}
.beliInputIconSuccess{
	height: 100%;
	color: #18a718;
}
.beliInputIconNoRequired{
	height: 100%;
	color:#158cba;
}
/**
 * Estilos del input : error,required,success,no-required
 */
.beliInputError{
}
.beliInputRequired{
}
.beliInputSuccess{
}
.beliInputNoRequired{
}
/**
 * Estilos del mensaje de error de validacion
 */
.beliTextError{
	margin: auto;
	position: relative;
	color: rgba(249,23,0,.88);
	max-width:100%;
	font-size: 12px;
	font-weight: bold;
}
/**
 * Estilos del texto (el campo es requirdo)/(el campo es opcional)
 */
.beliTextRequired{
	color:#ff851b;
}
.beliTextNoRequired{
	color:#158cba;
}
/**
 * Estilos de Glyphicon´s en input´s
 */
.inner-addon {
  position: relative;
}
.inner-addon .glyphicon {
  position: absolute;
  padding: 10px;
  pointer-events: none;
  font-size: 15px;
}
.left-addon .glyphicon  { left:  0px;}
.right-addon .glyphicon { right: 0px;}
.left-addon input  { padding-left:  30px; }
.right-addon input { padding-right: 30px; }

/**
 * Estilos en general
 */
form label{
	font-weight: bold;
	color:black;
}

form .text-center{
	margin-top: 10px;
}
.panel-heading h2{
	font-weight: bold;
}
.panel-heading h2 small{
	font-size: 14px;
	font-weight: bold;
}
.modal-header h4{
	font-weight: bold;
}
.borderfix{
        border-bottom: 2px solid #E6E9ED;
        padding: 1px 5px 6px;
        margin-left: 20px;
        margin-right: 20px;
    }
.beli-switch > input[type="radio"]{
	display: none;
}
.beli-switch > label {
	cursor: pointer;
	height: 0px;
	position: relative;
	width: 40px;
}
.beli-switch > label::before{
	background: rgb(0,0,0);
	box-shadow: inset 0px 0px 10px rgba(0 , 0 , 0 , 0.5);
	border-radius: 8px;
	content: '';
	height: 16px;
	margin-top: -8px;
	position: absolute;
	opacity: 0.3;
	transition: all 0.4s ease-in-out;
	width: 40px;
}
.beli-switch > label::after{
	background: rgb(255,255,255);
	border-radius: 16px;
	box-shadow: 0px 0px 5px rgba(0 , 0 , 0 , 0.3);
	content: '';
	height: 24px;
	left: -4px;
	margin-top: -8px;
	position: absolute;
	top: -4px;
	transition: all 0.4s ease-in-out;
	width: 24px;
}
.beli-switch > input[type="radio"]:checked + label::before{
	background: inherit;
	opacity: 0.5;
}
.beli-switch > input[type="radio"]:checked + label::after{
	background: inherit;
	left: 20px;
}

.beliFormRequired{
	padding: 20px;
	border: 3px solid #ff851b;
}
.beliFormError{
	padding: 20px;
	border: 3px solid #da0c0c;
}
.beliFormNoRequired{
	padding: 20px;
	border: 3px solid #158cba;
	overflow: auto;
}
.beliInfo{
	background-color: #d9edf7;
	color:#31708f;
	padding:10px;
	margin-bottom:20px;
	font-size:13px;
	border-radius:3px;
	border:2px solid #4bbeea;
	line-height: 1.42857143;
}
.beliInfo h5{
	margin-left:10px;
	color:#31708f;
	font-weight: bold;
}

.beliDanger{
	background-color: #f7d9e2;
	color:#ea4b58;
	padding:10px;
	margin-bottom:20px;
	font-size:13px;
	border-radius:3px;
	border:2px solid #ea4b59;
	line-height: 1.42857143;
}
.beliDanger h5{
	margin-left:10px;
	color:#ea4b58;
	font-weight: bold;
}

.beliBtnGlyphicon { 
	padding:8px; background:#ffffff; margin-right:4px; 
}
.beliIconBtn {
 	padding: 1px 15px 3px 2px; border-radius:50px;
}
/**
 * Estilo para el input de lista vacia del componente InputSelect
 */
.beliSelectNoList{
	font-size: 11px;
	background-color: white !important;
	border: solid 1px;
}